# generated by cabal-rpm-2.1.0 --subpackage
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name doctemplates
%global pkgver %{pkg_name}-%{version}

%global doclayout doclayout-0.4
%global emojis emojis-0.1.2
%global errors errors-2.3.0
%global textconversions text-conversions-0.3.1.1
%global subpkgs %{emojis} %{doclayout} %{errors} %{textconversions}

# testsuite missing deps: tasty-golden

Name:           ghc-%{pkg_name}
Version:        0.10.0.2
# can only be reset when all subpkgs bumped
Release:        10%{?dist}
Summary:        Pandoc-style document templates

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
Source1:        https://hackage.haskell.org/package/%{doclayout}/%{doclayout}.tar.gz
Source2:        https://hackage.haskell.org/package/%{emojis}/%{emojis}.tar.gz
Source3:        https://hackage.haskell.org/package/%{errors}/%{errors}.tar.gz
Source4:        https://hackage.haskell.org/package/%{textconversions}/%{textconversions}.tar.gz
Source5:        https://hackage.haskell.org/package/%{pkgver}/%{pkg_name}.cabal#/%{pkgver}.cabal
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  dos2unix
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros-extra
BuildRequires:  ghc-HsYAML-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-containers-devel
#BuildRequires:  ghc-doclayout-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
BuildRequires:  ghc-safe-devel
BuildRequires:  ghc-scientific-devel
BuildRequires:  ghc-text-devel
#BuildRequires:  ghc-text-conversions-devel
BuildRequires:  ghc-vector-devel
%if %{with ghc_prof}
BuildRequires:  ghc-HsYAML-prof
BuildRequires:  ghc-aeson-prof
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-containers-prof
#BuildRequires:  ghc-doclayout-prof
BuildRequires:  ghc-filepath-prof
BuildRequires:  ghc-mtl-prof
BuildRequires:  ghc-parsec-prof
BuildRequires:  ghc-safe-prof
BuildRequires:  ghc-scientific-prof
BuildRequires:  ghc-text-prof
#BuildRequires:  ghc-text-conversions-prof
BuildRequires:  ghc-vector-prof
%endif
# for missing dep 'errors':
BuildRequires:  ghc-exceptions-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-transformers-compat-devel
%if %{with ghc_prof}
BuildRequires:  ghc-exceptions-prof
BuildRequires:  ghc-transformers-prof
BuildRequires:  ghc-transformers-compat-prof
%endif
# for missing dep 'text-conversions':
BuildRequires:  ghc-base16-bytestring-devel
BuildRequires:  ghc-base64-bytestring-devel
BuildRequires:  ghc-bytestring-devel
%if %{with ghc_prof}
BuildRequires:  ghc-base16-bytestring-prof
BuildRequires:  ghc-base64-bytestring-prof
BuildRequires:  ghc-bytestring-prof
%endif
# End cabal-rpm deps

%description
This is the text templating system used by pandoc. It supports variable
interpolation, iteration, tests for non-blank values, pipes, and partials.
Templates are rendered to doclayout Docs, and variable values may come from a
variety of different sources, including aeson Values.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%global main_version %{version}

%if %{defined ghclibdir}
%ghc_lib_subpackage -l BSD-3-Clause %{doclayout}
%ghc_lib_subpackage -l BSD-3-Clause %{emojis}
%ghc_lib_subpackage -l BSD-3-Clause %{errors}
%ghc_lib_subpackage -l ISC %{textconversions}
%endif

%global version %{main_version}


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver} -a1 -a2 -a3 -a4
dos2unix -k -n %{SOURCE5} %{pkg_name}.cabal
# End cabal-rpm setup
(
cd %{errors}
cabal-tweak-dep-ver transformers-compat '< 0.7' '< 0.8'
)


%build
# Begin cabal-rpm build:
%ghc_libs_build %{subpkgs}
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_libs_install %{subpkgs}
%ghc_lib_install

rm %{buildroot}%{_datadir}/%{pkgver}/{README.md,changelog.md}
# End cabal-rpm install
rm %{buildroot}%{_datadir}/%{doclayout}/{README.md,changelog.md}


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc README.md changelog.md


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Sun Jan 22 2023 Jens Petersen <petersen@redhat.com> - 0.10.0.2-10
- https://hackage.haskell.org/package/doctemplates-0.10.0.2/changelog
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Jens Petersen <petersen@redhat.com> - 0.9-8
- rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 0.9-6
- update to 0.9
- doclayout-0.3.0.2
- text-conversions-0.3.1

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Jens Petersen <petersen@redhat.com> - 0.8.2-2
- update to 0.8.2

* Sun Jun 07 2020 Jens Petersen <petersen@redhat.com> - 0.8-1
- update to 0.8
- subpackage doclayout, text-conversions, and errors

* Wed Feb 19 2020 Jens Petersen <petersen@redhat.com> - 0.2.2.1-7
- refresh to cabal-rpm-2.0.2

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Aug 01 2019 Jens Petersen <petersen@redhat.com> - 0.2.2.1-5
- add doc and prof subpackages (cabal-rpm-1.0.0)

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 0.2.2.1-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 28 2018 Jens Petersen <petersen@redhat.com> - 0.2.2.1-1
- update to 0.2.2.1

* Tue Jul 24 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-5
- Enable annotated build again

* Mon Jul 23 2018 Miro Hrončok <mhroncok@redhat.com> - 0.2.1-4
- Rebuilt for #1607054

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 0.2.1-1
- update to 0.2.1

* Sat Oct 14 2017 Jens Petersen <petersen@redhat.com> - 0.1.0.2-4
- refresh to cabal-rpm-0.11.2

* Thu Jan 19 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.1.0.2-1
- spec file generated by cabal-rpm-0.11
